Skip to main content
POST
/
payment-options
C#
using Gr4vy;
using Gr4vy.Models.Components;

var sdk = new Gr4vySDK(
    id: "example",
    server: SDKConfig.Server.Sandbox,
    bearerAuthSource: Auth.WithToken(privateKey),
    merchantAccountId: "default"
);

var res = await sdk.PaymentOptions.ListAsync(paymentOptionRequest: new PaymentOptionRequest() {});

// handle response
package main

import(
	"context"
	"os"
	gr4vygo "github.com/gr4vy/gr4vy-go"
	"github.com/gr4vy/gr4vy-go/models/components"
	"log"
)

func main() {
    ctx := context.Background()

    s := gr4vygo.New(
        gr4vygo.WithMerchantAccountID("default"),
        gr4vygo.WithSecurity(os.Getenv("GR4VY_BEARER_AUTH")),
    )

    res, err := s.PaymentOptions.List(ctx, components.PaymentOptionRequest{})
    if err != nil {
        log.Fatal(err)
    }
    if res != nil {
        // handle response
    }
}
package hello.world;

import com.gr4vy.sdk.Gr4vy;
import com.gr4vy.sdk.models.components.PaymentOptionRequest;
import com.gr4vy.sdk.models.errors.*;
import com.gr4vy.sdk.models.operations.ListPaymentOptionsResponse;
import java.lang.Exception;

public class Application {

    public static void main(String[] args) throws Exception {

        Gr4vy sdk = Gr4vy.builder()
                .merchantAccountId("default")
                .bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
            .build();

        ListPaymentOptionsResponse res = sdk.paymentOptions().list()
                .paymentOptionRequest(PaymentOptionRequest.builder()
                    .build())
                .call();

        if (res.paymentOptions().isPresent()) {
            System.out.println(res.paymentOptions().get());
        }
    }
}
declare(strict_types=1);

require 'vendor/autoload.php';

use Gr4vy;

$sdk = Gr4vy\SDK::builder()
    ->setId('example')
    ->setServer('sandbox')
    ->setSecuritySource(Auth::withToken($privateKey))
    ->setMerchantAccountId('default')
    ->build();

$paymentOptionRequest = new Gr4vy\PaymentOptionRequest();

$response = $sdk->paymentOptions->list(
    paymentOptionRequest: $paymentOptionRequest
);

if ($response->paymentOptions !== null) {
    // handle response
}
from gr4vy import Gr4vy
import os


with Gr4vy(
    id="example",
    server="sandbox",
    merchant_account_id="default",
    bearer_auth=auth.with_token(open("./private_key.pem").read())
) as g_client:

    res = g_client.payment_options.list(locale="en")

    # Handle response
    print(res)
import { Gr4vy, withToken } from "@gr4vy/sdk";
import fs from "fs";

const gr4vy = new Gr4vy({
    id: "example",
    server: "sandbox",
    merchantAccountId: "default",
    bearerAuth: withToken({
      privateKey: fs.readFileSync("private_key.pem", "utf8"),
    }),
});

async function run() {
  const result = await gr4vy.paymentOptions.list({});

  console.log(result);
}

run();
curl --request POST \
  --url https://api.sandbox.{id}.gr4vy.app/payment-options \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "items": [
    {
      "method": "<string>",
      "can_store_payment_method": true,
      "can_delay_capture": true,
      "type": "payment-option",
      "icon_url": "<string>",
      "label": "<string>",
      "context": {
        "merchant_name": "<string>",
        "supported_schemes": [
          "<string>"
        ]
      }
    }
  ]
}
{
  "type": "error",
  "code": "bad_request",
  "status": 400,
  "message": "Generic error",
  "details": []
}
{
  "type": "error",
  "code": "unauthorized",
  "status": 401,
  "message": "No valid API authentication found",
  "details": []
}
{
  "type": "error",
  "code": "forbidden",
  "status": 403,
  "message": "Generic error",
  "details": []
}
{
  "type": "error",
  "code": "not_found",
  "status": 404,
  "message": "The resource could not be found",
  "details": []
}
{
  "type": "error",
  "code": "method_not_allowed",
  "status": 405,
  "message": "Method Not Allowed",
  "details": []
}
{
  "type": "error",
  "code": "duplicate_record",
  "status": 409,
  "message": "Generic error",
  "details": [],
  "resource_id": "cdc70639-cb9c-4222-a73f-b8ce39f7821b"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}
{
  "type": "error",
  "code": "too_early",
  "status": 425,
  "message": "Generic error",
  "details": []
}
{
  "type": "error",
  "code": "too_many_requests",
  "status": 429,
  "message": "Generic error",
  "details": []
}
{
  "type": "error",
  "code": "server_error",
  "status": 500,
  "message": "Request could not be processed",
  "details": []
}
{
  "type": "error",
  "code": "bad_gateway",
  "status": 502,
  "message": "Request could not be processed",
  "details": []
}
{
  "type": "error",
  "code": "gateway_timeout",
  "status": 504,
  "message": "Request could not be processed",
  "details": []
}
This endpoint requires the payment-options.read or embed scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-gr4vy-merchant-account-id
string

The ID of the merchant account to use for this request.

Example:

"default"

Body

application/json
metadata
Metadata · object | null

The metadata to used to evaluate checkout rules, which will help determine the right payment options to display.

Example:
{ "cohort": "a" }
country
string | null

The country code used to evaluate checkout rules, and which are used to help determine the right payment options to display.

Pattern: ^[A-Z]{2}$
Example:

"US"

currency
string | null

The currency code used to evaluate checkout rules, and which are used to help determine the right payment options to display.

Pattern: ^[A-Z]{3}$
Example:

"USD"

amount
integer | null

The amount used to evaluate checkout rules, and which are used to help determine the right payment options to display.

Example:

1299

locale
string
default:en

The locale used to determine the labels for each payment option.

Required string length: 1 - 50
Example:

"en"

cart_items
CartItem · object[] | null

The cart items used to evaluate checkout rules, and which are used to help determine the right payment options to display.

Response

Successful Response

items
PaymentOption · object[]
required

A list of items returned for this request.